Update Pipeline
PATCH
/api/v1/pipelines/{pipeline_id}
const url = 'https://example.com/api/v1/pipelines/example';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"id":"example","name":"example","storage":"example","configuration":{"additionalProperty":"example"},"clusters":[{"label":"example","node_type_id":"example","driver_node_type_id":"example","num_workers":1,"autoscale":{"additionalProperty":1},"custom_tags":{"additionalProperty":"example"},"spark_conf":{"additionalProperty":"example"},"spark_env_vars":{"additionalProperty":"example"},"enable_local_disk_encryption":true,"instance_pool_id":"example"}],"libraries":[{"notebook":{"additionalProperty":"example"},"file":{"additionalProperty":"example"},"jar":"example","maven":{"additionalProperty":"example"},"pypi":{"additionalProperty":"example"},"whl":"example"}],"target":"example","schema":"example","continuous":true,"development":false,"photon":false,"channel":"CURRENT","edition":"ADVANCED","catalog":"example","notifications":[{}],"serverless":true,"root_path":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/pipelines/example \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "name": "example", "storage": "example", "configuration": { "additionalProperty": "example" }, "clusters": [ { "label": "example", "node_type_id": "example", "driver_node_type_id": "example", "num_workers": 1, "autoscale": { "additionalProperty": 1 }, "custom_tags": { "additionalProperty": "example" }, "spark_conf": { "additionalProperty": "example" }, "spark_env_vars": { "additionalProperty": "example" }, "enable_local_disk_encryption": true, "instance_pool_id": "example" } ], "libraries": [ { "notebook": { "additionalProperty": "example" }, "file": { "additionalProperty": "example" }, "jar": "example", "maven": { "additionalProperty": "example" }, "pypi": { "additionalProperty": "example" }, "whl": "example" } ], "target": "example", "schema": "example", "continuous": true, "development": false, "photon": false, "channel": "CURRENT", "edition": "ADVANCED", "catalog": "example", "notifications": [ {} ], "serverless": true, "root_path": "example" }'Update an existing pipeline with namespaced Nexa tags.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”pipeline_id
required
Pipeline Id
string
Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
PipelineSpec
DLT Pipeline specification.
object
name
required
Name
Pipeline name
string
clusters
Any of:
Array<object>
PipelineClusterDLT Pipeline cluster configuration.
All fields are optional to allow flexible cluster configuration. Databricks will use defaults for unspecified values.
object
null
libraries
required
Libraries
Pipeline libraries
Array<object>
PipelineLibraryDLT Pipeline library configuration.
All fields are optional as only one library type should be specified per entry.
object
notifications
Any of:
Array<object>
object
key
additional properties
any
null
Responses
Section titled “Responses”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}